Santosh Shinde Santosh Shinde - 4 days ago 7
Android Question

Could not find any version that matches com.theartofdev.edmodo:android-image-cropper:+

I have to used Android-Image-Cropper in my custom cordoava plugin, for that added gardle file to maintain dependency.

//build.gradle

dependencies {
repositories {
mavenCentral()
}
compile 'com.android.support:appcompat-v7:23.2.1'
compile 'com.sothree.slidinguppanel:library:3.3.1'
compile 'com.theartofdev.edmodo:android-image-cropper:+'
}


but at the time of build project(Application developed in Ionic) I got the following error

FAILURE: Build failed with an exception.

* What went wrong:

A problem occurred configuring root project 'android'.
> Could not resolve all dependencies for configuration ':_debugCompile'.
> Could not find any version that matches com.theartofdev.edmodo:android-image-cropper:+.
Searched in the following locations:
https://repo1.maven.org/maven2/com/theartofdev/edmodo/android-image-cropper/maven-metadata.xml

https://repo1.maven.org/maven2/com/theartofdev/edmodo/android-image-cropper/
file:/Users/santosh/Documents/Developer/android-sdk-macosx/extras/android/m2repository/com/theartofdev/edmodo/android-image-cropper/maven-metadata.xml
file:/Users/santosh/Documents/Developer/android-sdk-macosx/extras/android/m2repository/com/theartofdev/edmodo/android-image-cropper/
file:/Users/santosh/Documents/Developer/android-sdk-macosx/extras/google/m2repository/com/theartofdev/edmodo/android-image-cropper/maven-metadata.xml
file:/Users/santosh/Documents/Developer/android-sdk-macosx/extras/google/m2repository/com/theartofdev/edmodo/android-image-cropper/
Required by:
:android:unspecified


Please help me to resolve this issue.

Answer

Add JCenter to your repositories

repositories {
    jcenter() 
    mavenCentral()
}

dependencies {
    compile 'com.android.support:appcompat-v7:23.2.1'
    compile 'com.sothree.slidinguppanel:library:3.3.1'
    compile 'com.theartofdev.edmodo:android-image-cropper:2.3.+'
}
Comments